> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xbox.com/llms.txt
> Use this file to discover all available pages before exploring further.

# XblProfileGetUserProfileAsync

> XblProfileGetUserProfileAsync

Gets a user profile for a specific XBOX user.

## Syntax

```cpp theme={null}
HRESULT XblProfileGetUserProfileAsync(  
         XblContextHandle xboxLiveContext,  
         uint64_t xboxUserId,  
         XAsyncBlock* async  
)  
```

### Parameters

*xboxLiveContext*   \_In\_\
Type: [XblContextHandle](https://docs.xbox.com/reference/live/xsapi-c/types_c/handles/xblcontexthandle.md)

An XBOX services context handle created with XblContextCreateHandle.

*xboxUserId*   \_In\_\
Type: uint64\_t

The XBOX User ID of the user to get the profile for.

*async*   \_In\_\
Type: XAsyncBlock\*

Caller allocated AsyncBlock.

### Return value

Type: HRESULT

HRESULT return code for this API operation.

## Remarks

To get the result, call [XblProfileGetUserProfileResult](https://docs.xbox.com/reference/live/xsapi-c/profile_c/functions/xblprofilegetuserprofileresult.md) inside the AsyncBlock callback or after the AsyncBlock is complete.

## REST Call

Calls V2 GET /users/batch/profile/settings

## Requirements

**Header:** profile\_c.h

**Library:** Microsoft.Xbox.Services.142.C.lib or Microsoft.Xbox.Services.143.C.lib

## See also

[profile\_c](https://docs.xbox.com/reference/live/xsapi-c/profile_c/profile_c_members.md)


## Related topics

- [XblProfileGetUserProfileResult](https://docs.xbox.com/reference/live/xsapi-c/profile_c/functions/xblprofilegetuserprofileresult.md)
- [profile_c (contents)](https://docs.xbox.com/reference/live/xsapi-c/profile_c/profile_c_members.md)
- [Making async calls in the XSAPI C API](https://docs.xbox.com/services/xbox-services/fundamentals/xbox-services-api/live-flatc-async-patterns.md)
- [XblMultiplayerManagerMember](https://docs.xbox.com/reference/live/xsapi-c/multiplayer_manager_c/structs/xblmultiplayermanagermember.md)
- [XblProfileGetUserProfilesAsync](https://docs.xbox.com/reference/live/xsapi-c/profile_c/functions/xblprofilegetuserprofilesasync.md)
